{
    description = "ffmpeg-progress";
    inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable-small";
    inputs.flake-utils.url = "github:numtide/flake-utils";
    outputs = { self, nixpkgs, flake-utils }:
        flake-utils.lib.eachDefaultSystem
            (system:
                let pkgs = nixpkgs.legacyPackages.${system}; in
                {
                    devShell = import ./default.nix { inherit pkgs; };
                    defaultPackage = import ./package.nix { inherit pkgs;};
                }
            );
}