{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
    version = "0.0.1";
    deps = [ ];
    nativeDeps = [ ];
in
pkgs.buildGo119Module {
  pname = "ffmpeg-progress";
  inherit version;
  src = ./.;
  buildInputs = [
    stdenv
  ] ++deps;
  nativeBuildInputs = [
    musl
  ] ++nativeDeps;
  tags = [ ];

  CGO_ENABLED = 0;
  ldflags = [
      "-s" "-w"
      "-linkmode external"
      "-extldflags '-static -L${musl}/lib'"
    ];

  allowGoReference = false;
  #vendorSha256 = lib.fakeSha256;
  vendorSha256 = "sha256-vC2+HtHcapilG5pcevXckuFFzko2iwq43+GIGiLmzJc=";

  meta = {
    description = "A little HTTP server for ffmpeg to send progress to";
    homepage = "https://git.entr0py.de/garionion/ffmpeg-progress";
  };
}